GET TaskStatusTypeTaskType?taskStatusTypeTaskTypeId={taskStatusTypeTaskTypeId}&taskStatusTypeId={taskStatusTypeId}&taskTypeId={taskTypeId}
Retrieves a companies task status types to task types association. These are read-only.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| taskStatusTypeTaskTypeId | globally unique identifier |
Required |
|
| taskStatusTypeId | globally unique identifier |
Required |
|
| taskTypeId | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
On success, a list of task status types and task types associations
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of TaskStatusTypeTaskType |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"TaskStatusTypeTaskTypeId": "6bf09d9b-4613-4155-8631-3df3194d3c2a",
"CompanyId": "9a705847-66cd-47ea-8982-5799262c0c4d",
"TaskStatusTypeId": "c2a506ed-831c-4486-8b20-c95f9fef60c3",
"TaskStatusTypeName": "sample string 2",
"SourceSystemId": "sample string 3",
"TaskTypeId": "f0aa0fee-13a5-4047-87ea-6686bc636d6e",
"TaskTypeName": "sample string 4",
"Description": "sample string 5"
},
{
"TaskStatusTypeTaskTypeId": "6bf09d9b-4613-4155-8631-3df3194d3c2a",
"CompanyId": "9a705847-66cd-47ea-8982-5799262c0c4d",
"TaskStatusTypeId": "c2a506ed-831c-4486-8b20-c95f9fef60c3",
"TaskStatusTypeName": "sample string 2",
"SourceSystemId": "sample string 3",
"TaskTypeId": "f0aa0fee-13a5-4047-87ea-6686bc636d6e",
"TaskTypeName": "sample string 4",
"Description": "sample string 5"
}
],
"Total": 1,
"Message": "sample string 1"
}